GET
q*stringSearch term.
limit_per_type?integerMaximum number of rows to return per result type.
Range
1 <= value <= 500Default
25page?integer1-based search results page.
Range
1 <= valueDefault
1search_profiles?booleanAccepted for Gamma compatibility, but profile search results are not returned by this service.
Default
falsecreator?stringOptional creator filter. Use a creator wallet address or a site identifier to scope results to markets available on that site.
Search results were found.
application/json- response
events?array<>tags?array<>pagination*curl -X GET 'https://gamma-api-staging.kuest.com/public-search?q=interest+rates'{ "events": [ { "id": "31552", "ticker": "central-bank-decision-september", "slug": "central-bank-decision-september", "title": "Central Bank Decision in September" } ], "tags": [ { "id": "126", "label": "Macro", "slug": "macro", "event_count": 3192 } ], "pagination": { "hasMore": true, "totalResults": 3192 }}